Difference between revisions of "Caffe Guide"

From Storrs HPC Wiki
Jump to: navigation, search
(Add page category)
(Added more dependencies)
Line 11: Line 11:
 
To use caffe you will need to import the following modules:
 
To use caffe you will need to import the following modules:
  
  module load glog/0.3.3 \
+
  module load intelics/2013.1.039-full \
            gflags/2.1.2 \
+
        zlib/1.2.8-ics \
            protobuf/2.5.0 \
+
        plink/1.9 \
            boost/1.60.0-gcc \
+
        GCTA/1.21 \
            hdf5/1.8.12 \
+
        boost/1.60.0-gcc \
            lmdb/1 \
+
        opencv/3.1.0 \
            blas/openblas-0.2.18 \
+
        leveldb/1.18 \
            python/2.7.6-gcc-unicode \
+
        cuda/7.5 \
            caffe/1.0.0-rc3
+
        glog/0.3.3 \
 +
        lmdb/1 \
 +
        protobuf/2.5.0 \
 +
        hdf5/1.8.12 \
 +
        python/2.7.6-gcc-unicode \
 +
        gflags/2.1.2 \
 +
        blas/openblas-0.2.18 \
 +
        gcc/4.8.2 \
 +
        caffe/1.0.0-rc3
  
 
Then you can use caffe:
 
Then you can use caffe:

Revision as of 14:36, 24 May 2016

Caffe
Author Yangqing Jia + contributors
Website http://caffe.berkeleyvision.org/
Source GitHub
Category Deep Learning
Help documentation


To use caffe you will need to import the following modules:

module load intelics/2013.1.039-full \
       zlib/1.2.8-ics \
       plink/1.9 \
       GCTA/1.21 \
       boost/1.60.0-gcc \
       opencv/3.1.0 \
       leveldb/1.18 \
       cuda/7.5 \
       glog/0.3.3 \
       lmdb/1 \
       protobuf/2.5.0 \
       hdf5/1.8.12 \
       python/2.7.6-gcc-unicode \
       gflags/2.1.2 \
       blas/openblas-0.2.18 \
       gcc/4.8.2 \
       caffe/1.0.0-rc3

Then you can use caffe:

python
Python 2.7.6 (default, Apr 20 2016, 16:39:52)
[GCC 4.8.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import caffe